| # Gaudi Framework, version v20r4
Generated: 8 Jan 2009

# GaudiPython::Bindings::iAlgTool Class Reference

Inheritance diagram for GaudiPython::Bindings::iAlgTool:

[legend]
Collaboration diagram for GaudiPython::Bindings::iAlgTool:

[legend]

List of all members.

## Detailed Description

    Python equivalent to IAlgTool interface (not completed yet)

Definition at line 290 of file Bindings.py.

## Public Member Functions
def | __init__
def | retrieveInterface
def | name
## Static Public Attributes
tuple | start = lambdaself:self.__call_interface_method__("_itool","start")
tuple | stop = lambdaself:self.__call_interface_method__("_itool","stop")
tuple | type = lambdaself:self.__call_interface_method__("_itool","type")

## Member Function Documentation

def GaudiPython::Bindings::iAlgTool::__init__ | ( |  | self,
|  |  | name,
|  |  | itool = `None` |
| ) |  |  |

Reimplemented from GaudiPython::Bindings::iProperty.

Definition at line 292 of file Bindings.py.

    00292                                           :
    00293     iProperty.__init__(self, name, itool )
    00294     if itool : self.__dict__['_itool'] = itool
    00295     else     : self.__dict__['_itool'] = None
    00296     svc = Helper.service( self._svcloc, 'ToolSvc', True )
    00297     self.__dict__['_toolsvc']= iToolSvc('ToolSvc', svc)
      def retrieveInterface(self) :

def GaudiPython::Bindings::iAlgTool::retrieveInterface | ( |  | self | ) |

Reimplemented from GaudiPython::Bindings::iProperty.

Definition at line 298 of file Bindings.py.

    00298                               :
    00299     itool = self._toolsvc._retrieve(self._name)
    00300     if itool : iAlgTool.__init__(self, self._name, itool)
      start = lambda self : self.__call_interface_method__("_itool","start")

def GaudiPython::Bindings::iAlgTool::name | ( |  | self | ) |

Reimplemented from GaudiPython::Bindings::iProperty.

Definition at line 304 of file Bindings.py.

    00304                  :
    00305     if self._itool : return self._itool.name()
    00306     else : return self._name
    00307
    00308 #----iDataSvc class---------------------------------------------------------------------
    class iDataSvc(iService) :

## Member Data Documentation

tuple GaudiPython::Bindings::iAlgTool::start = lambdaself:self.__call_interface_method__("_itool","start")`[static]`

Definition at line 301 of file Bindings.py.

tuple GaudiPython::Bindings::iAlgTool::stop = lambdaself:self.__call_interface_method__("_itool","stop")`[static]`

Definition at line 302 of file Bindings.py.

tuple GaudiPython::Bindings::iAlgTool::type = lambdaself:self.__call_interface_method__("_itool","type")`[static]`

Definition at line 303 of file Bindings.py.

The documentation for this class was generated from the following file:

- /afs/cern.ch/sw/Gaudi/releases/GAUDI/GAUDI_v20r4/GaudiPython/python/GaudiPython/Bindings.py